Categories:
  - Connectivity
  - Security
  - Money
License: MPL-2.0
AuthorWebSite: https://statusnetwork.com/
WebSite: https://status.im/
SourceCode: https://github.com/status-im/status-react
IssueTracker: https://github.com/status-im/status-react/issues

AutoName: Status

RepoType: git
Repo: https://github.com/status-im/status-react.git

Builds:
  - versionName: 1.11.1
    versionCode: 2021021509
    commit: 07b5f31c688d08cd4a1198a13fc1c34adf6afc2f
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - mkdir -m 0755 /nix
      - chown vagrant /nix
    init: ./nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build:
      - echo "GOOGLE_FREE=1" >> .env.release
      - make release-android BUILD_TYPE=release BUILD_NUMBER=$$VERCODE$$ ANDROID_APK_SIGNED=false
        ANDROID_ABI_INCLUDE="armeabi-v7a;arm64-v8a;x86;x86_64"

  - versionName: 1.12.0
    versionCode: 2021030814
    commit: 1771c3cf59f48274c41e92b4b3ce2ad70f757e57
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - mkdir -m 0755 /nix
      - chown vagrant /nix
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.12.1
    versionCode: 2021031517
    commit: cd7b7ec9b721b86ebe8c4ad73d93912f07b1d89e
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - mkdir -m 0755 /nix
      - chown vagrant /nix
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.13.0
    versionCode: 2021042608
    commit: 896b583da1a5c9ed7ab32de3bdb0cc299d8e1418
    timeout: 7200
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
      - chown -R vagrant /tmp
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.15.0
    versionCode: 2021071411
    commit: 5e46db6cd29cfc8519dc2bb8fbb6bccf9bf1f7a2
    timeout: 7200
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.16.0
    versionCode: 2021082711
    commit: ef34af3f01d2b6b3d1ec3c47d3b8322a8609e0a5
    timeout: 7200
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    prebuild:
      - sed -i -e '/com.android.vending.BILLING/d' android/app/src/main/AndroidManifest.xml
      - echo >> .env.release
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.17.0
    versionCode: 2021102112
    commit: c34b91be4a9cac1e3aca79b6029473dc6e805a4f
    timeout: 7200
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.18.0
    versionCode: 2022011816
    commit: 2316956f52b65195b37d1adefa3ea37662d4643b
    timeout: 7200
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.18.2
    versionCode: 2022021419
    commit: fb9cba5618f889762bb8102e988d460ed788252e
    timeout: 7200
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

  - versionName: 1.19.0
    versionCode: 2022032811
    commit: d6a6c41dd3ff06b057d2226644583ef57e7347da
    timeout: 10800
    sudo:
      - cd build/im.status.ethereum
      - make fdroid-build-env
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    prebuild:
      - sed -i '/react-native-notifications/d' scripts/google-free.sh package.json
      - sed -i '/react-native-notifications/,+4d' yarn.lock
      - sed -i '6i <uses-permission tools:node="remove" android:name="com.android.vending.CHECK_LICENSE"/>'
        android/app/src/release/AndroidManifest.xml
    scanignore:
      - android/build.gradle
      - android/app/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

MaintainerNotes: |-
    Status.im mobile app is built in a deterministic way using Nix package manager.
    Because of this we disable Gradle builds via F-Droid and run `make release-android`.
    For information on how to submit updates see this readme.
    https://github.com/status-im/status-react/blob/develop/doc/FDROID.md

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.19.0
CurrentVersionCode: 2022032811
